From 9c651c9a8b2c4b44b7b1d37fd7ec37e1035b918e Mon Sep 17 00:00:00 2001
From: Roman Dadkov <romand@etersoft.ru>
Date: Wed, 13 Feb 2013 18:03:53 +0400
Subject: [PATCH] ole32/tests: Add test for OleRun.

---
 dlls/ole32/tests/ole2.c | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/dlls/ole32/tests/ole2.c b/dlls/ole32/tests/ole2.c
index 4ef6638..0f65d3a 100644
--- a/dlls/ole32/tests/ole2.c
+++ b/dlls/ole32/tests/ole2.c
@@ -1926,6 +1926,14 @@ static const IUnknownVtbl UnknownVtbl =
 
 static IUnknown unknown = { &UnknownVtbl };
 
+static void test_OleRun(void)
+{
+    HRESULT hr;
+
+    hr = OleRun((LPUNKNOWN)&unknown);
+    ok(hr == S_OK, "OleRun failed 0x%08x\n", hr);
+}
+
 static void test_OleLockRunning(void)
 {
     HRESULT hr;
@@ -1984,6 +1992,7 @@ START_TEST(ole2)
     test_data_cache();
     test_default_handler();
     test_runnable();
+    test_OleRun();
     test_OleLockRunning();
     test_OleDraw();
 
-- 
1.8.1.2
